#' incontinence- incontinence Data taken from brlrmr pacakge
#'
#' @description The dataset incontinence is from. The dataset is available in the brlrmr pacakge. Pradhan, Nychka and Bandyopadhyay (2024) fitted the model \code{y~x1+x2+x3}.
#'
#' @format A data frame with several rows and columns representing various variables:
#' \describe{
#'   \item{y}{response variable}
#'   \item{x1}{is a covariate}
#'   \item{x2}{is a covariate}
#'   \item{x3}{is a covariate}
#' }
#'
#' @references
#' Maity, A., Pradhan, V., Das, U. (2019). Bias reduction in logistic regression with missing responses when the missing data mechanism is nonignorable. The American Statistician, (73) 340-349.
#'
#' Pradhan, V., Nychka, D. and Bandyopadhyay, S. (2024). Beyond the Odds: Fitting Logistic Regression with Missing Data in Small Samples (submitted).
#'
#' @examples
#' fit <- emil(y~x1+x2+x3, data=incontinence,family=binomial, method="brglmFit")
#' # display summary of the beta estimates of the model
#' summary(fit$fit_y)

#' # for non-ignorability setting of the missing responses
#' summary(fit$fit_r)
"incontinence"





